gnome-vfs-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.IO.Stream implementation using the Gnome.Vfs library.

The VfsStream class hides the Gnome.Vfs API from the developer. It uses the class and associated enums to access the representation of the passed in the constructor.

This class is particularly useful if you want to develop an application that wants to use Gnome.Vfs where available, but can't depend on it being available always. On platforms where Gnome.Vfs is not available, the application can fallback to a regular . This doesn't affect how the rest of the application deals with the stream since both implement the abstract class.

- Constructor
  2.24.0.0
  representing the to open.
  specifying how to open the .
  Construct a new instance of the VfsStream with the specified .
  The underlying file will be accessed synchronously using the class.
- Constructor
  2.24.0.0
  representing the to open.
  specifying how to open the .
  whether to access the file (a)sychronously.
  Construct a new instance of the VfsStream with the specified . Based the async parameter, the file will be accessed (a)synchronously.
  The underlying file will be accessed either by using the or class.
- Method
  2.24.0.0
  System.IAsyncResult `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.IAsyncResult `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.24.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.24.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.24.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void To be added. To be added.
- Method
  2.24.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void To be added. To be added.
- Property
  2.24.0.0
  System.Boolean value indicating whether the current stream is (a)synchronous. a To be added
- Property
  2.24.0.0
  System.Int64 To be added. To be added. To be added.
- Property
  2.24.0.0
  System.Int64 To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.24.0.0
  System.String Gets the representing the which this stream reads and writes from. a To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.